-- 用户还款计划信息 t_repay_plan
create table t_repay_plan(
	id int not null auto_increment comment 'id',
	code varchar(10) not null comment '还款计划编号',
	repay_code varchar(10) not null default '' comment '用户还款编号',
	repay_date varchar(19) not null default '' comment '还款日期',
	should_repay_interest decimal(15,2) not null default 0 comment '应还利息',
	should_repay_principal decimal(15,2) not null default 0 comment '应还本金',
	should_repay_total decimal(15,2) not null default 0 comment '应还本息合计',
	periods_number smallint not null default 0 comment '期数',
	status smallint not null default 301 comment '还款状态（301.待还款 302.已失效 300.已还款）',
	create_time timestamp not null default current_timestamp comment '创建时间',
	update_time timestamp not null default current_timestamp on update current_timestamp comment '更新时间',
	primary key(id) comment '主键,没有重复',
	unique index(code) comment '还款计划编号,唯一索引'
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT '用户还款计划信息';
